import QtQuick 2.0
import Ubuntu.Components 1.0
import "Format.js" as Format
import "../Utils.js" as Utils

Row {
    id: root

    property url icon
    property int speedBytesPerSec
    property color textColor
    property DowNowTheme theme

    spacing: Utils.gu(0.5)

    Label {
        id: label
        text: Format.formatBytes(speedBytesPerSec) + "/s"
        fontSize: "small"
        color: root.textColor
    }

    Image {
        anchors {
            verticalCenter: parent.verticalCenter
        }

        source: icon
        sourceSize.width: Utils.gu(1.5)
    }
}
