import QtQuick 2.0
import Ubuntu.Components 1.0
import Ubuntu.Components.ListItems 1.0 as ListItem
import com.nogzatalz.Downow 1.0

Page {
    title: "Search settings"

    property PirateBaySource tpbSource

    Connections {
        target: tpbSource
        onProxyDomainIndexChanged: tpbProxyDomainSelector.selectedIndex = tpbSource.proxyDomainIndex
    }

    Column {
        anchors {
            fill: parent
            margins: units.gu(1)
        }

        OptionSelector {
            id: tpbProxyDomainSelector
            text: "ThePirateBay domain"
            expanded: false
            model: tpbSource.availableProxyDomains
            selectedIndex: tpbSource.proxyDomainIndex
            onSelectedIndexChanged: tpbSource.proxyDomainIndex = selectedIndex
        }
    }
}
